EDIT - task #8679

Further unify description aggregation methods
11/13/2019 01:01 PM - Andreas Mdiller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.12

Severity: normal

Description

Common base classes already exist. Further work might be:

e tests for includeUnpublished

* testsforsourceType

* fully-delete-empty-aggregations
L]

Related issues:

Related to EDIT - feature request #8677: Add distribution aggregation to set ... Closed
Related to EDIT - feature request #8713: Improve structured descriptive data ... Closed
Related to EDIT - bug #8788: Cloned descriptions do not show up in dataportal... Feedback
Related to EDIT - feature request #2625: [E+M Overview] Data aggregation func... Closed
Related to EDIT - bug #8312: Test, fix, improve and run Transmission engine f... Closed
Follows EDIT - task #8651: Unify description aggregation methods (distributio... Closed
Copied to EDIT - task #8871: Remaining issues to unify description aggregatio... In Progress

Associated revisions

Revision 9235bde5 - 11/15/2019 01:04 PM - Andreas Muller

ref #8679 fix rerun DistributionAggregation with changed sources and deleted distributions

Revision 008371ae - 11/15/2019 07:01 PM - Andreas Miiller
ref #8679 move AggregationMode to ConfiguratorBase

Revision 7800d0d0 - 11/15/2019 10:49 PM - Andreas Miiller

ref #8679 generic source handling with SourceModes

Revision a8496b29 - 11/16/2019 12:05 AM - Andreas Muller
ref #8679 improve tests

Revision 2acab840 - 11/16/2019 12:32 AM - Andreas Muller

ref #8679 improve monitoring

Revision b37495b9 - 11/18/2019 09:16 AM - Andreas Miiller

ref #8679 move DistributionAggregation functionality to base class

Revision f6fda820 - 11/22/2019 09:18 PM - Andreas Miiller

ref #8679 remove old COMPUTE marker and move ignore lists to configurator and some cleanup

Revision ad8460be - 11/22/2019 10:06 PM - Andreas Muller
ref #8679 preliminary fix failing test for rank aggregation with absent status

Revision d22d2ab0 - 11/26/2019 04:32 PM - Andreas Miiller

ref #8679 add tests to StructuredDescriptionAggregation and fix toGrandParent issue and allow Feature

Revision 3177d9fb - 11/26/2019 05:06 PM - Andreas Miiller
ref #8679 adapt TaxEditor to changes in DescriptionAggregation dataset handling

Revision 9af9bac7 - 11/26/2019 05:09 PM - Andreas Miiller
ref #8679 adapt TaxEditor to changes in DescriptionAggregation dataset handling

Revision 4bf5063f - 11/26/2019 06:16 PM - pplitzner
ref #8679 Add specimen to sibling taxon

Revision 6b6ebf81 - 11/26/2019 06:41 PM - pplitzner
ref #8679 Refactoring

Revision eace364b - 11/27/2019 07:31 AM - pplitzner
ref #8679 Add leaf color

Revision c¢f6340d0 - 11/27/2019 09:18 AM - Patrick Plitzner
ref #8679 Test leaf color

Revision 1f0292f8 - 11/28/2019 12:18 PM - Patrick Plitzner
ref #8679 Convert to base class aggregation architecture
e convert aggregation of categorical data within taxon

Revision 54ed2cf2 - 11/28/2019 12:18 PM - Patrick Plitzner

ref #8679 Add apache commons math to pom
Revision 185e63ee - 11/28/2019 12:18 PM - Patrick Plitzner
ref #8679 Convert to base class aggregation architecture

e convert aggregation of quantitative data within taxon
Revision 93¢52359 - 11/28/2019 12:18 PM - Patrick Plitzner
ref #8679 Convert to base class aggregation architecture

® init dataset in preAccumulate
e filter SpecimenDescriptions by data set

Revision 5ef244fc - 11/28/2019 12:18 PM - Patrick Plitzner

ref #8679 Convert to base class aggregation architecture

e convert aggregation of quantitative data to parent
e convert aggregation of categorical data to parent

Revision 7903d041 - 11/28/2019 12:18 PM - Patrick Plitzner
ref #8679 PropertyPath and code cleanup

Revision 33373464 - 11/28/2019 03:31 PM - Patrick Plitzner

ref #8679 Remove usage of apache commons math

Revision 2b226eee - 11/28/2019 03:31 PM - Patrick Plitzner
ref #8679 Add checks and repairs for valid quantitative data

Revision 46ae6d5a - 11/28/2019 03:54 PM - Patrick Plitzner

ref #8679 Set taxon node filter and aggregation mode
Revision 91f2¢c632 - 11/29/2019 12:58 PM - Patrick Plitzner

ref #8679 Load dataset in each session

Revision 45ca2f16 - 11/29/2019 01:48 PM - Patrick Plitzner

ref #8679 Replace existing description elements in re-aggregation

-add test for re-aggregation

Revision 9a2d6065 - 12/02/2019 07:40 AM - Patrick Plitzner
ref #8679 Set batchMinFreeHeap in test setup

Revision 34726589 - 12/02/2019 01:28 PM - Patrick Plitzner
ref #8679 Add initTransaction() super method
¢ hook for initializing object when a new transaction starts

Revision 07b9b244 - 12/02/2019 01:29 PM - Patrick Plitzner

ref #8679 Set taxon node filter and no batch size adaption

Revision a4ca6fce - 12/03/2019 04:28 PM - Patrick Plitzner
ref #8679 Add sources to aggregated description

e within taxon: specimen description
e parent taxon: aggregated taxon description

Revision 5ee7595c - 12/04/2019 01:20 PM - Andreas Miiller

ref #8679 move aggregation modes to own class file

Revision de4502ef - 12/04/2019 01:37 PM - Patrick Plitzner
ref #8679 Adapt to cdmlib changes

Revision 47992818 - 12/04/2019 02:01 PM - Andreas Miiller

ref #8679 let AggregationMode and AggregationSourceMode implement IKeyTerm and implement some list methods

Revision 19739293 - 12/04/2019 02:07 PM - Andreas Miiller

ref #8679 rename supports fields and make public

Revision 80c4e54e - 12/04/2019 05:58 PM - Patrick Plitzner

ref #8679 Filter out cloned specimen descriptions

Revision 2a71dd1c - 12/04/2019 05:58 PM - Patrick Plitzner

ref #8679 Add cancel points for aggregation progress monitor

Revision c6883acf - 12/05/2019 08:20 AM - pplitzner

ref #8679 Add test for incomplete categorical data

Revision 851664fd - 12/05/2019 02:36 PM - Andreas Miiller

ref #8679 try to fix progress tasks and percentage not showing up

Revision 3¢162754 - 12/05/2019 02:57 PM - Andreas Miiller

ref #8679 top level error handling and renaming aggregation methods

Revision ff19d87a - 12/07/2019 09:57 AM - Andreas Miiller

ref #8679 add done() to monitoring if unexpected exception occurred.

Revision 151¢9262 - 12/09/2019 09:55 PM - Andreas Miiller

ref #8679 fix structured desc aggregation for missing values and min/max only values
Revision e153cc8e - 12/10/2019 12:13 AM - Andreas Miiller

ref #8679 handle null values in missing values correctly

History

#1 - 11/13/2019 01:02 PM - Andreas Miiller
- Due date set to 11/06/2019
- Start date changed from 11/13/2019 to 11/06/2019

- Follows task #8651: Unify description aggregation methods (distribution and structured descriptive data) added

#2 - 11/13/2019 01:10 PM - Andreas Miiller

- Description updated

- Due date deleted (11/06/2019)

- Start date changed from 11/06/2019 to 11/13/2019

#3 - 11/15/2019 03:49 PM - Andreas Miller

- Status changed from New to In Progress

#4 - 11/15/2019 03:49 PM - Andreas Miller

- Related to feature request #8677: Add distribution aggregation to set subtree menu added

#5 - 11/15/2019 04:09 PM - Andreas Miiller

- Description updated

#6 - 11/16/2019 01:10 AM - Andreas Miiller

- Description updated

#7 - 11/21/2019 08:19 AM - Andreas Miiller

- Related to feature request #8713: Improve structured descriptive data aggregation added

#8 - 11/26/2019 05:03 PM - Andreas Miller

- Description updated

#9 - 12/03/2019 03:18 PM - Andreas Miiller
- Description updated
- Assignee changed from Andreas Miiller to Patrick Plitzner

- % Done changed from 0 to 30

#10 - 12/04/2019 06:47 PM - Patrick Plitzner

- Description updated

#11 - 12/17/2019 03:50 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Andreas Mliller

#12 - 12/20/2019 03:27 PM - Andreas Miiller
- Related to bug #8788: Cloned descriptions do not show up in dataportal anymore added

#13 - 01/16/2020 01:06 PM - Andreas Miiller

- Target version changed from Release 5.12 to Release 5.13

#14 - 03/02/2020 02:08 PM - Andreas Miiller

- Copied to task #8871: Remaining issues to unify description aggregation methods added

#15 - 03/02/2020 02:11 PM - Andreas Miiller
- Status changed from In Progress to Closed

- Target version changed from Release 5.13 to Release 5.12
- % Done changed from 30 to 100
Open issues moved to new ticket #8871

#16 - 03/01/2021 04:38 PM - Andreas Miiller

- Related to feature request #2625: [E+M Overview] Data aggregation functionalities for E+M (TransmissionEngine) added

#17 - 03/01/2021 04:47 PM - Andreas Miiller

- Related to bug #8312: Test, fix, improve and run Transmission engine for E+M added

#18 - 09/30/2021 02:57 PM - Andreas Miiller

- Related to feature request #7980: Enhance matrix description aggregation added

#19 - 09/30/2021 02:57 PM - Andreas Miiller

- Related to deleted (feature request #7980: Enhance matrix description aggregation)
